import { HcApi } from '../../../../request/index'

//  合同支付项
export default {
    //系统中期支付项列表(ype=0（未被引用），type=1（已引用），type=空（全部）)
   async getSyslist(form, msg = true) {
    return HcApi({
        url: '/api/blade-meter/mid/pay/item/system/list',
            method: 'post',
            params: form,
        }, msg)
   },
    //合同段中期支付项引用项目级数据
    async referenced(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/contract/referenced',
            method: 'post',
            params: form,
        }, msg)
     },
         //合同段中期支付项分页
    async getProListPage(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/contract/page',
            method: 'post',
            data: form,
        }, msg)
     },
     //合同段中期支付项详情
    async getProDetail(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/contract/detail',
            method: 'get',
            params: form,
        }, msg)
    },
    //合同段中期支付项修改
    async updateProList(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/contract/update',
            method: 'post',
            data: form,
        }, msg)
     },
     //合同段中期支付项删除
    async removeProList(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/contract/remove',
            method: 'get',
            params: form,
        }, msg)
    },
    //合同段中期支付项列表（全部）
    async getProPayList(form, msg = true) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/contract/all-list',
                method: 'post',
                params: form,
            }, msg)
    },
     //中期支付项添加汇总项
     async addCollect(form, msg = true) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/bind/submit',
                method: 'post',
                params: form,
            }, msg)
    },
    //中期支付项删除汇总项
    async removeCollect(form, msg = true) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/bind/remove',
                method: 'post',
                params: form,
            }, msg)
    },
        
}